GET /v1/public/market/{id}
Public market teaser: holder average entry (Brier-weighted average price current holders paid for YES — a cost basis, not a forecast) + its delta vs mid + 24h totals + top-5 holders. Full positioning/flow/fills are gated.
Public market teaser: holder average entry (Brier-weighted average price current holders paid for YES — a cost basis, not a forecast) + its delta vs mid + 24h totals + top-5 holders. Full positioning/flow/fills are gated.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/public/market/string"{ "condition_id": "string", "outcome_names": [ "string" ], "combo": { "n_legs": -9007199254740991, "n_resolved_legs": -9007199254740991, "yes_estimate": 0, "legs": [ { "leg_index": -9007199254740991, "market_condition_id": "string", "market_title": "string", "market_slug": "string", "market_category": "string", "side_index": -9007199254740991, "side_label": "string", "status": "open", "price": 0 } ] }, "market_title": "string", "market_category": "string", "market_subcategory": "string", "market_subcategory_label": "string", "market_subtype": "string", "market_subtype_label": "string", "market_slug": "string", "end_date": "string", "resolved": true, "market_state": "LIVE", "event": { "id": -9007199254740991, "slug": "string", "title": "string", "category": "string", "subcategory": "string", "series_title": "string", "series_slug": "string", "series_recurrence": "string", "sport_code": "string", "sport_name": "string", "sport_discipline": "string", "team_names": [ "string" ], "market_count": -9007199254740991, "game_id": -9007199254740991, "live": true, "ended": true, "score": "string", "period": "string" }, "market_meta": { "sports_market_type": "string", "group_item_title": "string", "neg_risk": true, "neg_risk_market_id": "string", "resolution_source": "string", "fee_type": "string", "fee_rate": 0, "fee_rebate_rate": 0, "fee_taker_only": true, "uma_bond": 0, "uma_reward": 0, "custom_liveness": -9007199254740991, "uma_resolution_status": "string", "resolved_by": "string", "line": 0 }, "dates": { "listed": "string", "trading_opens": "string", "first_trade": "string", "last_trade": "string", "event_start": "string", "game_start": "string", "scheduled_close": "string", "actual_close": "string", "resolved": "string" }, "winner_outcome": "YES", "current_mid": 0, "last_24h_volume_usdc": 0, "last_24h_fills": -9007199254740991, "positioner_count": -9007199254740991, "smart_money_positioner_count": -9007199254740991, "consensus_latest": { "polyrank_consensus_yes": 0, "market_mid": 0, "n_positioners": -9007199254740991 }, "top_holders": [ { "pseudonym": "string", "outcome_side": "YES", "shares_held": 0 } ], "locked": { "positioning": true, "flow": true, "fills": true }, "mid_age_seconds": -9007199254740991, "snapshot_age_seconds": -9007199254740991}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}GET /v1/public/market/{conditionId}/prices GET
The YES token's price history for one window: the freshest order-book mid per bucket (15 m for 1d, 1 h for 1w, 4 h for 1m, 1 d for all), at most 500 points. On 1d / 1w / 1m the most recent are kept and `truncated` says so. window=all also draws from fills every UTC day the book tape has NO point for, before the tape begins or in a hole of it (one point per such day with a fill, share-weighted Yes-equivalent price; a day with a book point keeps the book point; a day with neither has no point, nothing is interpolated), stops at the market's close, and coarsens to weekly then monthly buckets instead of dropping the early part (a coarse bucket with any book day is a book point, one with trade days only is a trades point).
GET /v1/public/movers GET
Daily-refreshing skill-rank climbers/fallers over a sliding lookback window.